
QGIS Application - Bug report #1759

Grids seems to miss lines

2009-07-05 02:33 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee:

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11819

Description

When I create grids with ftools, and then are added to the canvas, they seems to miss lines, but only at small scales. Zoom in and the

problem goes away.

See attached image.

History

#1 - 2009-07-05 03:01 PM - Giovanni Manghi

Maybe is not a ftools problem, maybe is a [[MapCanvas]] one. Reassign at wish to the proper component.

#2 - 2009-07-09 11:29 AM - Giovanni Manghi

I finally tested a grid that wasn't made with ftools and as the behaviour confirms it isn't definitely a ftools problem.

Changing the title and the component.

#3 - 2009-11-15 08:39 AM - Giovanni Manghi

still true on the lastest trunk code, but it seems to happens only on polygon vector grids, now on line grids I cannot reproduce the problem.

#4 - 2010-01-25 12:22 PM - Jürgen Fischer

Replying to [comment:4 lutra]:

still true on the lastest trunk code, but it seems to happens only on polygon vector grids, now on line grids I cannot reproduce the problem.

using the symbology-ng?  In my current example I can make a line disappear by switching from symbology-ng to the old implementation.

#5 - 2010-01-25 12:28 PM - rburhum -

Just in case, reproducible dataset can be found at http://www.burhum.com/files/render_bug.zip
#6 - 2010-01-25 12:29 PM - Giovanni Manghi

using the symbology-ng?  In my current example I can make a line disappear by switching from symbology-ng to the old implementation.

No, I'm pretty sure that the tests I made were done not using the new symbology.

#7 - 2010-01-25 12:34 PM - Giovanni Manghi

Replying to [comment:6 rburhum]:

Just in case, reproducible dataset can be found at http://www.burhum.com/files/render_bug.zip

It confirms my first observations. If you transform this polygon grid into lines it all shows fine.

#8 - 2010-01-25 12:42 PM - Giovanni Manghi

with the new symbology things get better, nevertheless at low scales the grid appears not regular (see attached image). Zooming in it turns quickly into a

correct spacing.

#9 - 2010-01-25 12:51 PM - rburhum -

You are correct lutra in the fact that the error only occurs in polygons and not lines.

This error also occurs in version 1.0.2-Kore (what I am using on Windows).

The problem for me here is that I am using the polygons for analysis and the color is based on attribution. Sometimes, the grids will be merged by the user,

so I cannot tell whether the grid was merged or if Quantum is drawing it correctly at this scale. I have to zoom or identify the feature to see if that is true.

Honestly, more than a "minor: annoyance" and more of "major: does not work as expected"

#10 - 2010-01-25 12:53 PM - Giovanni Manghi

Try qgis 1.4 and use the new symbology and see if things works better for you.

#11 - 2010-01-25 02:02 PM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

This might be the Qt issue #5213.

#12 - 2010-01-25 02:29 PM - rburhum -

Gotta love how fast it was fixed. Thanks!!!
